GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
geos::operation::buffer::OffsetSegmentString Class Reference

A dynamic list of the vertices in a constructed offset curve. More...

`#include <OffsetSegmentString.h>`

## Public Member Functions
void | reset ()
void | setPrecisionModel (const geom::PrecisionModel *nPrecisionModel)
void | setMinimumVertexDistance (double nMinVertexDistance)
void | addPt (const geom::Coordinate &pt)
void | addPts (const geom::CoordinateSequence &pts, bool isForward)
void | closeRing ()
| Check that points are a ring.
geom::CoordinateSequence * | getCoordinates ()
| Get coordinates by taking ownership of them.
int | size () const

## Friends
std::ostream & | operator<< (std::ostream &os, const OffsetSegmentString &node)

## Detailed Description

A dynamic list of the vertices in a constructed offset curve.

Automatically removes close vertices which are closer than a given tolerance.

Author
  Martin Davis

## Member Function Documentation

void geos::operation::buffer::OffsetSegmentString::closeRing | ( |  | ) |
| inline

Check that points are a ring.

add the startpoint again if they are not

References geos::geom::CoordinateArraySequence::add(), geos::geom::CoordinateSequence::back(), geos::geom::Coordinate::equals(), and geos::geom::CoordinateSequence::front().

Referenced by getCoordinates().

geom::CoordinateSequence* geos::operation::buffer::OffsetSegmentString::getCoordinates | ( | void |  | ) |
| inline

Get coordinates by taking ownership of them.

After this call, the coordinates reference in this object are dropped. Calling twice will segfault...

FIXME: refactor memory management of this

References closeRing().

The documentation for this class was generated from the following file:

- OffsetSegmentString.h